/* usbcan.h
 * Header file for the Linux CAN-bus driver.
 * Written by Jan Kriz email:johen@post.cz
 * This software is released under the GPL-License.
 * Version lincan-0.3  17 Jul 2008
 */

int usbcan_request_io(struct candevice_t *candev);
int usbcan_release_io(struct candevice_t *candev);
int usbcan_reset(struct candevice_t *candev);
int usbcan_init_hw_data(struct candevice_t *candev);
int usbcan_init_chip_data(struct candevice_t *candev, int chipnr);
int usbcan_init_obj_data(struct canchip_t *chip, int objnr);
void usbcan_write_register(unsigned data, unsigned long address);
unsigned usbcan_read_register(unsigned long address);
int usbcan_program_irq(struct candevice_t *candev);

int usbcan_chip_config(struct canchip_t *chip);
int usbcan_extended_mask(struct canchip_t *chip, unsigned long code, unsigned long mask);
int usbcan_baud_rate(struct canchip_t *chip, int rate, int clock, int sjw,
		int sampl_pt, int flags);
int usbcan_pre_read_config(struct canchip_t *chip, struct msgobj_t *obj);
int usbcan_pre_write_config(struct canchip_t *chip, struct msgobj_t *obj,
		struct canmsg_t *msg);
int usbcan_send_msg(struct canchip_t *chip, struct msgobj_t *obj,
		struct canmsg_t *msg);
int usbcan_fill_chipspecops(struct canchip_t *chip);
int usbcan_irq_handler(int irq, struct canchip_t *chip);


